Create a gVault
curl --request POST \
--url https://sandbox.groundtech.co/v2/gvaults \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partnerAppId": "your-app-id",
"vaultId": "ground-ustb-vault",
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 2000
}
'import requests
url = "https://sandbox.groundtech.co/v2/gvaults"
payload = {
"partnerAppId": "your-app-id",
"vaultId": "ground-ustb-vault",
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 2000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partnerAppId: 'your-app-id',
vaultId: 'ground-ustb-vault',
feeRecipientAddress: '0x2222222222222222222222222222222222222222',
performanceFeeBps: 2000
})
};
fetch('https://sandbox.groundtech.co/v2/gvaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "gvault_abababababababababababababababab",
"status": "provisioning"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Rate limit exceeded",
"code": "rate_limited"
}{
"error": "Service temporarily unavailable",
"code": "service_temporarily_unavailable",
"retryable": true
}gVaults
Create a gVault
Creates an app-specific Ground vault with a performance fee.
POST
/
v2
/
gvaults
Create a gVault
Creates one gVault for your organization and app. Use the returned ID to check
when its contract is ready.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Stable identifier for your app within your Ground organization.
Maximum string length:
128Available options:
ground-ustb-vault Wallet that receives performance-fee shares.
Share of investment gains paid to the fee recipient. For example, 2000 is 20%.
Required range:
0 <= x <= 9999